VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsIDCDSPFilterVisualInterface"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
Private Declare Sub CopyMemory Lib "kernel32" Alias "RtlMoveMemory" (Destination As Any, Source As Any, ByVal Length As Long)
Private m_objIDCDSPFilterVisualInterface As IDCDSPFilterVisualInterface

Public Property Get Object() As IDCDSPFilterVisualInterface
    Set Object = m_objIDCDSPFilterVisualInterface
End Property

Public Property Set Object(ByRef objIDCDSPFilterVisualInterface As IDCDSPFilterVisualInterface)
    Set m_objIDCDSPFilterVisualInterface = objIDCDSPFilterVisualInterface
End Property

Public Property Get VISafterDSP() As Boolean
    Dim lngReturn As Long
    
    Call m_objIDCDSPFilterVisualInterface.get_VISafterDSP(lngReturn)
    VISafterDSP = (lngReturn <> CLng(0))
End Property

Public Property Let VISafterDSP(ByVal AfterDSP As Boolean)
    Call m_objIDCDSPFilterVisualInterface.set_VISafterDSP(IIf(AfterDSP, CLng(-1), CLng(0)))
End Property

Public Function GetVisualData(ByRef Data() As Byte, ByRef PDSStream As DSStream)
    On Local Error GoTo ErrHandler
    Dim lngBuffer As Long
    Dim lngDSStreamPtr As Long
    Dim lngSize As Long
    
    Call m_objIDCDSPFilterVisualInterface.get_VisualData(lngBuffer, lngSize, lngDSStreamPtr)
    CopyMemory PDSStream, ByVal lngDSStreamPtr, Len(PDSStream)
    
    If lngSize > CLng(0) Then
        ReDim Data(lngSize - CLng(1))
        CopyMemory Data(0), ByVal lngBuffer, lngSize
        GetVisualData = True
    Else
        GetVisualData = False
    End If
    
    Exit Function
    
ErrHandler:
    Erase Data()
End Function
