VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsIDCFlanger"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
Private m_objIDCFlanger As IDCFlanger

Public Property Get Object() As IDCFlanger
    Set Object = m_objIDCFlanger
End Property

Public Property Set Object(ByRef objIDCFlanger As IDCFlanger)
    Set m_objIDCFlanger = objIDCFlanger
End Property

Public Property Get Enabled() As Boolean
    Dim lngReturn As Long
    
    Call m_objIDCFlanger.get_Enabled(lngReturn)
    Enabled = (lngReturn <> CLng(0))
End Property

Public Property Let Enabled(ByVal aEnabled As Boolean)
    Call m_objIDCFlanger.set_Enabled(IIf(aEnabled, CLng(-1), CLng(0)))
End Property

Public Property Get Separate() As Boolean
    Dim lngReturn As Long
    
    Call m_objIDCFlanger.get_Seperate(lngReturn)
    Separate = (lngReturn <> CLng(0))
End Property

Public Property Let Separate(ByVal aSeperate As Boolean)
    Call m_objIDCFlanger.set_Seperate(IIf(aSeperate, CLng(-1), CLng(0)))
End Property

Public Property Get Frequency(ByVal aChannel As Byte) As Single
    Dim sngReturn As Single
    
    Call m_objIDCFlanger.get_Frequency(aChannel, sngReturn)
    Frequency = sngReturn
End Property

Public Property Let Frequency(ByVal aChannel As Byte, ByVal aFrequency As Single)
    Call m_objIDCFlanger.set_Frequency(aChannel, aFrequency)
End Property

Public Property Get Delay(ByVal aChannel As Byte) As Single
    Dim sngReturn As Single
    
    Call m_objIDCFlanger.get_Delay(aChannel, sngReturn)
    Delay = sngReturn
End Property

Public Property Let Delay(ByVal aChannel As Byte, ByVal aDelay As Single)
    Call m_objIDCFlanger.set_Delay(aChannel, aDelay)
End Property

Public Property Get PhaseInvert(ByVal aChannel As Byte) As Boolean
    Dim lngReturn As Long
    
    Call m_objIDCFlanger.get_PhaseInvert(aChannel, lngReturn)
    PhaseInvert = (lngReturn <> CLng(0))
End Property

Public Property Let PhaseInvert(ByVal aChannel As Byte, ByVal aPhaseInvert As Boolean)
    Call m_objIDCFlanger.set_PhaseInvert(aChannel, IIf(aPhaseInvert, CLng(-1), CLng(0)))
End Property

